## $Revision: 2.4 $, $Date: 2000/01/21 07:57:38 $
## The following line is edited by my ship script to contain the true
## version I am shipping from cvs. (kir)
%define VERSION 2.0.3

Summary: nep -- Noch Ein Plotprogramm
Name: nep
Version: %VERSION
Release: 0
Copyright: GPL
Group: Applications/Engineering
Source: nep-%{VERSION}.tar.gz
URL: http://wsd.iitb.fhg.de/~kir/
Packager: Harald Kirsch (kir@iitb.fhg.de)

Requires: tcl >= 8.0, blt >= 2.4m

Buildroot: /tmp/nep-rpmbuild

%description 
Nep is an interactive plot program based on BLT. Given that you have
BLT installed, it is pure Tcl.

In contrast to programs like gnuplot which are geared towards high
quality paper output, nep is mainly intended for interactive
exploration of one or more data sets.


%prep
%setup

%build
tclsh ./trivmake LIBDIR=/usr/lib

%install
rm -rf $RPM_BUILD_ROOT/usr/lib/nep-*
rm -rf $RPM_BUILD_ROOT/usr/doc/nep-*

mkdir -p $RPM_BUILD_ROOT/usr/bin
tclsh ./install \
      LIBDIR=$RPM_BUILD_ROOT/usr/lib \
      BINDIR=$RPM_BUILD_ROOT/usr/bin \
      DOCDIR=$RPM_BUILD_ROOT/usr/doc

%post

%files
%attr(-,root,root) /usr/lib/nep-%{VERSION}
%attr(-,root,root) /usr/bin
%attr(-,root,root) %doc /usr/doc/nep-%{VERSION}

