########################################################################
#
# Pop up a little borderless window with a message. It disappears, if
# the mouse is moved on it.
#
# $Revision: 1.2 $, $Date: 1997/06/30 06:00:42 $
########################################################################


proc balloonMsg {w msg} {
  catch "destroy $w"

  toplevel $w
  wm overrideredirect $w 1
  frame $w.f -borderwidth 2 -background white
  message $w.m -text $msg \
      -aspect 400 \
      -background \#ff4433 \
      -foreground white
  pack $w.m -in $w.f
  pack $w.f
  bind $w <Enter> "catch {destroy $w}"

  set width [winfo reqwidth $w.m]
  set height [winfo reqheight $w.m]
  set x [expr [winfo pointerx .] - $width/2]
  set y [expr [winfo pointery .] - $height - 10]
  wm geometry $w +$x+$y

}


#balloonMsg .x "Hallo, hallo, hier ist die Maus!"